#*******************************************************************************
#                       OpenNebula Configuration file
#*******************************************************************************

#*******************************************************************************
# Daemon configuration attributes
#-------------------------------------------------------------------------------
#  ONED_PORT: Port to connect to the OpenNebula daemon (oned)
#
#  SCHED_INTERVAL: Seconds between two scheduling actions
#
#  MAX_VM: Maximum number of Virtual Machines scheduled in each scheduling 
#          action
#
#  MAX_DISPATCH: Maximum number of Virtual Machines actually dispatched to a
#                host in each scheduling action
#
#  MAX_HOST: Maximum number of Virtual Machines dispatched to a given host in 
#            each scheduling action
#
#  DEFAULT_SCHED: Definition of the default scheduling algorithm
#    - policy: 
#      0 = Packing. Heuristic that minimizes the number of hosts in use by 
#          packing the VMs in the hosts to reduce VM fragmentation
#      1 = Striping. Heuristic that tries to maximize resources available for 
#          the VMs by spreading the VMs in the hosts
#      2 = Load-aware. Heuristic that tries to maximize resources available for
#          the VMs by usingthose nodes with less load
#      3 = Custom. 
#    - rank: Custom arithmetic exprission to rank suitable hosts based in their
#            attributes
#*******************************************************************************

ONED_PORT = 2633

SCHED_INTERVAL = 30

MAX_VM = 300

MAX_DISPATCH = 30

MAX_HOST = 1

DEFAULT_SCHED = [
	policy = 1
]

#DEFAULT_SCHED = [
#	policy = 3,
#   rank   = "- (RUNNING_VMS * 50  + FREE_CPU)"
#]
